$(document).ready(function(){
    $('#section-navegation').sticky({ topSpacing: 0, zIndex: 99 });

    $(function() {
      $('a[href*="#"]:not([href="#"])').click(function() {
        if (location.pathname.replace(/^\//,'') == this.pathname.replace(/^\//,'') && location.hostname == this.hostname) {
          var target = $(this.hash);
          target = target.length ? target : $('[name=' + this.hash.slice(1) +']');
          if (target.length) {
            $('html, body').animate({
              scrollTop: target.offset().top-110
            }, 1000);
            return false;
          }
        }
      });
    });

    $(".modal").on('hidden.bs.modal', function (e) {
        $(".modal iframe").attr("src", $(".modal iframe").attr("src"));
    });

	$('.responsive-nav').slick({
		arrows: false,
		dots: false,
	    infinite: false,
	    speed: 300,
	    slidesToShow: 6,
	    slidesToScroll: 6,
	    responsive: [{
	            breakpoint: 1024,
	            settings: {
	                slidesToShow: 6,
	                slidesToScroll: 6
	            }
	        },
	        {
	            breakpoint: 768,
	            settings: {
                    slidesToShow: 6,
                    slidesPerRow: 2,
	                slidesToScroll: 1
	            }
	        },
	        {
	            breakpoint: 480,
	            settings: {
	                slidesToShow: 6,
                    slidesPerRow: 2,
	                slidesToScroll: 1
	            }
	        }
	        // You can unslick at a given breakpoint now by adding:
	        // settings: "unslick"
	        // instead of a settings object
	    ]
	});

    $('.single-item-vertical').slick({
		pauseOnHover: false,
		autoplay: true,
  		autoplaySpeed: 4000,
        vertical: true,
        verticalSwiping: true,
        arrows: false,
        dots: true
    });

	$('#nav-control').click(function(e){
        e.preventDefault();
        $(this).find('#nav-icon').toggleClass('fa-bars fa-times');
        $('.nav-container').slideToggle('fast');
    });

    // RESPONSIVE
    $( window ).resize(function() {
        if ($(window).width() < 768) {
            $('.nav-container').hide();
        }
        else {
            $('.nav-container').show();
        };
    });

    if ($(window).width() < 768) {
        $('.nav-container').hide();
    }
    else {
        $('.nav-container').show();
    };
});
